#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package app;

import dom.todo.ToDoItem;

import org.apache.isis.applib.AbstractFactoryAndRepository;
import org.apache.isis.applib.annotation.ActionSemantics;
import org.apache.isis.applib.annotation.NotContributed;
import org.apache.isis.applib.annotation.NotInServiceMenu;
import org.apache.isis.applib.annotation.ActionSemantics.Of;
import org.apache.isis.applib.annotation.NotContributed.As;
import org.apache.isis.applib.annotation.Hidden;

@Hidden
public class ToDoItemAnalysisContributions extends AbstractFactoryAndRepository {


    // //////////////////////////////////////
    // AnalyseCategory
    // //////////////////////////////////////

    @NotInServiceMenu
    @NotContributed(As.ASSOCIATION)
    @ActionSemantics(Of.SAFE)
    public ToDoItemsByCategoryViewModel analyseCategory(final ToDoItem item) {
        return toDoAppAnalysis.toDoItemsForCategory(item.getCategory());
    }

    
    // //////////////////////////////////////
    // injected services
    // //////////////////////////////////////

    private ToDoItemAnalysis toDoAppAnalysis;
    public void injectToDoAppAnalysis(ToDoItemAnalysis toDoAppAnalysis) {
        this.toDoAppAnalysis = toDoAppAnalysis;
    }
}
